module Data.Dependency.Error ( ResolveError (..)
                             , DepM
                             ) where

import           Data.Dependency.Type

type DepM = Either ResolveError

-- | An error that can occur during package resolution.
data ResolveError = NoSolution
                  | CircularDependencies String String
                  | NotPresent [String]
                  | Conflict String String (Constraint Version) (Constraint Version)
